#include <iostream>
#include <cmath>
using namespace std;
int main()
{
	ifstream fi ("timmax.inp");
	long int a[10001];
	int i,n,x;
	fi>>n>>x;
	a[1]=x;
	long int max=x;
	for(i=2;i<=n;i++)
	{
		fi>>a[i];
		if(a[i]>max) max=a[i];
	}
	fi.close();
	ofstream fo("timmax.out");
	fo<<max<<endl;
	for(i=1;i<=n;i++)
	{
		if(a[i]==max) fo<<i<<' ';
	}
	fo.close();
}
